Touchable Sapphire by -Wolfie- ()

3D Figure AssetsAddOnsHair

Touchable Sapphire

Software:   Poser 6, Daz Studio 4, DAZ Studio 4 With IRAY

File Types:   (not specified)

Requirements:  Poser 6+, Daz Studio 4+, Daz Studio 4.8+ (for Iray), Sapphire Hair by outoftouch @daz3d.com

Departments:
3D Figure AssetsAddOnsHair